> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a company

> Delete an existing company specified by ID. Returns JSON indicating whether or not the specified company was actually deleted. Since companies play a central role in the CRM, it's recommended to only delete companies that your application has created.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.companies.read', 'crm.objects.companies.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/crm-companies-v2.json DELETE /companies/v2/companies/{companyId}
openapi: 3.0.0
info:
  title: CRM Companies API v2
  version: 2.0.0
  description: Legacy CRM Companies API v2 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /companies/v2/companies/{companyId}:
    delete:
      summary: Delete a company
      description: >-
        Delete an existing company specified by ID. Returns JSON indicating
        whether or not the specified company was actually deleted. Since
        companies play a central role in the CRM, it's recommended to only
        delete companies that your application has created.
      operationId: deletecompaniesv2companiescompanyId
      parameters:
        - name: limit
          in: query
          required: false
          description: >-
            The number of records to return. Defaults to 100, has a maximum
            value of 250.
          schema:
            type: string
        - name: offset
          in: query
          required: false
          description: >-
            Used to page through the results. If there are more records in your
            portal than the `limit` parameter, you will need to use the offset
            returned in the first request to get the next set of results.
          schema:
            type: string
        - name: properties
          in: query
          required: false
          description: >-
            May be included multiple times. Used to include specific company
            properties in the results. By default, the results will only include
            the company ID, and will not include the values for any properties
            for your companies. Including this parameter will include the data
            for the specified property in the results. You can include this
            parameter multiple times to request multiple properties.Note:
            Companies that do not have a value set for a property will not
            include that property, even when you specify the property. A company
            without a value for the website property would not show the website
            property in the results, even with &properties=website in the URL.
          schema:
            type: string
        - name: propertiesWithHistory
          in: query
          required: false
          description: >-
            May be included multiple times. Works similarly to `properties=`,
            but this parameter will include the history for the specified
            property, instead of just including the current value. Use this
            parameter when you need the full history of changes to a property's
            value.
          schema:
            type: string
        - name: includeMergeAudits
          in: query
          required: false
          description: >-
            Returns any merge history if a company has been previously merged
            with another company record. Defaults to false.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Delete a Company - Example 1
                  value:
                    companyId: 10444744
                    deleted: true

````